Transaction Request
GET
/cgi.htmlQuery Parameters
AuthKey*
stringPaymentType*
enumTransType*
stringAmount*
numberTip
numberCashbackAmount
numberFrequency
stringCustomFee
numberIsvId
stringReconId
stringRefId*
stringRegisterId*
stringTPN
stringPrintReceipt
enumReducedStateTax
stringStateTax
stringCityTax
stringSigCapture
enumTag1
stringTag2
stringTag3
stringPerformedBy
stringMerchantId
stringCustomerEmail
stringCustomerMobile
stringIsTxnStatusScreenRequired
booleanGET/cgi.html
1curl --location 'https://test.spinpos.net:443/SPIn/cgi.html?TerminalTransaction=%3Crequest%3E%3CPaymentType%3ECredit%3C%2FPaymentType%3E%3CTransType%3ESale%3C%2FTransType%3E%3CAmount%3E1%3C%2FAmount%3E%3CTip%3E0%3C%2FTip%3E%3CCashbackAmount%3E0%3C%2FCashbackAmount%3E%3CFrequency%3EOneTime%3C%2FFrequency%3E%3CCustomFee%3E0%3C%2FCustomFee%3E%3CRefId%3E12234%3C%2FRefId%3E%3CPrintReceipt%3ENo%3C%2FPrintReceipt%3E%3CSigCapture%3ENo%3C%2FSigCapture%3E%3CCustomerEmail%3Esai%40gmail.com%3C%2FCustomerEmail%3E%3CCustomerMobile%3E%2B15418996990%3C%2FCustomerMobile%3E%3CIsTxnStatusScreenRequired%3Etrue%3C%2FIsTxnStatusScreenRequired%3E%3C%2Frequest%3E'
Response
// Awaiting response…
Sample response
{
"RefId": "12234",
"RegisterId": "yourRegisterId",
"TPN": "yourTPN",
"TransNum": "6",
"InvNum": "6",
"ResultCode": "0",
"RespMSG": "APPROVAL TAS330",
"Message": "Approved",
"AuthCode": "yourAuthCode",
"PNRef": "yourPNRef",
"PaymentType": "Credit",
"Voided": "false",
"TransType": "Sale",
"SN": "B17912107210030",
"ExtData": "Amount=1.00,dueAmnt=,approvedAmnt=,InvNum=6,CardType=VISA,Tip=0.20,Fee=0.04,BatchNum=10,CashBack=0.00,TotalAmt=1.54,TaxAmount=0.30,EntryType=Manual Entry,CDCVMIndicator=D,DateTime=2025-11-18 07:37:20",
"EMVData": "yourEMVData",
"Sign": "yourSign",
"iPOSToken": "youriPOSToken",
"ContactDetailsError": "CustomerMobile=Is invalid,CustomerEmail=Is invalid",
"HostResponseCode": "00",
"HostResponseMessage": "APPROVAL TAS330"
}